Index: /extensions/LLGBO2/farbtastic/LICENSE.txt
===================================================================
--- /extensions/LLGBO2/farbtastic/LICENSE.txt	(revision 4523)
+++ /extensions/LLGBO2/farbtastic/LICENSE.txt	(revision 4523)
@@ -0,0 +1,341 @@
+
+        GNU GENERAL PUBLIC LICENSE
+           Version 2, June 1991
+
+ Copyright (C) 1989, 1991 Free Software Foundation, Inc.
+ 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
+ Everyone is permitted to copy and distribute verbatim copies
+ of this license document, but changing it is not allowed.
+
+          Preamble
+
+  The licenses for most software are designed to take away your
+freedom to share and change it.  By contrast, the GNU General Public
+License is intended to guarantee your freedom to share and change free
+software--to make sure the software is free for all its users.  This
+General Public License applies to most of the Free Software
+Foundation's software and to any other program whose authors commit to
+using it.  (Some other Free Software Foundation software is covered by
+the GNU Lesser General Public License instead.)  You can apply it to
+your programs, too.
+
+  When we speak of free software, we are referring to freedom, not
+price.  Our General Public Licenses are designed to make sure that you
+have the freedom to distribute copies of free software (and charge for
+this service if you wish), that you receive source code or can get it
+if you want it, that you can change the software or use pieces of it
+in new free programs; and that you know you can do these things.
+
+  To protect your rights, we need to make restrictions that forbid
+anyone to deny you these rights or to ask you to surrender the rights.
+These restrictions translate to certain responsibilities for you if you
+distribute copies of the software, or if you modify it.
+
+  For example, if you distribute copies of such a program, whether
+gratis or for a fee, you must give the recipients all the rights that
+you have.  You must make sure that they, too, receive or can get the
+source code.  And you must show them these terms so they know their
+rights.
+
+  We protect your rights with two steps: (1) copyright the software, and
+(2) offer you this license which gives you legal permission to copy,
+distribute and/or modify the software.
+
+  Also, for each author's protection and ours, we want to make certain
+that everyone understands that there is no warranty for this free
+software.  If the software is modified by someone else and passed on, we
+want its recipients to know that what they have is not the original, so
+that any problems introduced by others will not reflect on the original
+authors' reputations.
+
+  Finally, any free program is threatened constantly by software
+patents.  We wish to avoid the danger that redistributors of a free
+program will individually obtain patent licenses, in effect making the
+program proprietary.  To prevent this, we have made it clear that any
+patent must be licensed for everyone's free use or not licensed at all.
+
+  The precise terms and conditions for copying, distribution and
+modification follow.
+
+        GNU GENERAL PUBLIC LICENSE
+   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+
+  0. This License applies to any program or other work which contains
+a notice placed by the copyright holder saying it may be distributed
+under the terms of this General Public License.  The "Program", below,
+refers to any such program or work, and a "work based on the Program"
+means either the Program or any derivative work under copyright law:
+that is to say, a work containing the Program or a portion of it,
+either verbatim or with modifications and/or translated into another
+language.  (Hereinafter, translation is included without limitation in
+the term "modification".)  Each licensee is addressed as "you".
+
+Activities other than copying, distribution and modification are not
+covered by this License; they are outside its scope.  The act of
+running the Program is not restricted, and the output from the Program
+is covered only if its contents constitute a work based on the
+Program (independent of having been made by running the Program).
+Whether that is true depends on what the Program does.
+
+  1. You may copy and distribute verbatim copies of the Program's
+source code as you receive it, in any medium, provided that you
+conspicuously and appropriately publish on each copy an appropriate
+copyright notice and disclaimer of warranty; keep intact all the
+notices that refer to this License and to the absence of any warranty;
+and give any other recipients of the Program a copy of this License
+along with the Program.
+
+You may charge a fee for the physical act of transferring a copy, and
+you may at your option offer warranty protection in exchange for a fee.
+
+  2. You may modify your copy or copies of the Program or any portion
+of it, thus forming a work based on the Program, and copy and
+distribute such modifications or work under the terms of Section 1
+above, provided that you also meet all of these conditions:
+
+    a) You must cause the modified files to carry prominent notices
+    stating that you changed the files and the date of any change.
+
+    b) You must cause any work that you distribute or publish, that in
+    whole or in part contains or is derived from the Program or any
+    part thereof, to be licensed as a whole at no charge to all third
+    parties under the terms of this License.
+
+    c) If the modified program normally reads commands interactively
+    when run, you must cause it, when started running for such
+    interactive use in the most ordinary way, to print or display an
+    announcement including an appropriate copyright notice and a
+    notice that there is no warranty (or else, saying that you provide
+    a warranty) and that users may redistribute the program under
+    these conditions, and telling the user how to view a copy of this
+    License.  (Exception: if the Program itself is interactive but
+    does not normally print such an announcement, your work based on
+    the Program is not required to print an announcement.)
+
+These requirements apply to the modified work as a whole.  If
+identifiable sections of that work are not derived from the Program,
+and can be reasonably considered independent and separate works in
+themselves, then this License, and its terms, do not apply to those
+sections when you distribute them as separate works.  But when you
+distribute the same sections as part of a whole which is a work based
+on the Program, the distribution of the whole must be on the terms of
+this License, whose permissions for other licensees extend to the
+entire whole, and thus to each and every part regardless of who wrote it.
+
+Thus, it is not the intent of this section to claim rights or contest
+your rights to work written entirely by you; rather, the intent is to
+exercise the right to control the distribution of derivative or
+collective works based on the Program.
+
+In addition, mere aggregation of another work not based on the Program
+with the Program (or with a work based on the Program) on a volume of
+a storage or distribution medium does not bring the other work under
+the scope of this License.
+
+  3. You may copy and distribute the Program (or a work based on it,
+under Section 2) in object code or executable form under the terms of
+Sections 1 and 2 above provided that you also do one of the following:
+
+    a) Accompany it with the complete corresponding machine-readable
+    source code, which must be distributed under the terms of Sections
+    1 and 2 above on a medium customarily used for software interchange; or,
+
+    b) Accompany it with a written offer, valid for at least three
+    years, to give any third party, for a charge no more than your
+    cost of physically performing source distribution, a complete
+    machine-readable copy of the corresponding source code, to be
+    distributed under the terms of Sections 1 and 2 above on a medium
+    customarily used for software interchange; or,
+
+    c) Accompany it with the information you received as to the offer
+    to distribute corresponding source code.  (This alternative is
+    allowed only for noncommercial distribution and only if you
+    received the program in object code or executable form with such
+    an offer, in accord with Subsection b above.)
+
+The source code for a work means the preferred form of the work for
+making modifications to it.  For an executable work, complete source
+code means all the source code for all modules it contains, plus any
+associated interface definition files, plus the scripts used to
+control compilation and installation of the executable.  However, as a
+special exception, the source code distributed need not include
+anything that is normally distributed (in either source or binary
+form) with the major components (compiler, kernel, and so on) of the
+operating system on which the executable runs, unless that component
+itself accompanies the executable.
+
+If distribution of executable or object code is made by offering
+access to copy from a designated place, then offering equivalent
+access to copy the source code from the same place counts as
+distribution of the source code, even though third parties are not
+compelled to copy the source along with the object code.
+
+  4. You may not copy, modify, sublicense, or distribute the Program
+except as expressly provided under this License.  Any attempt
+otherwise to copy, modify, sublicense or distribute the Program is
+void, and will automatically terminate your rights under this License.
+However, parties who have received copies, or rights, from you under
+this License will not have their licenses terminated so long as such
+parties remain in full compliance.
+
+  5. You are not required to accept this License, since you have not
+signed it.  However, nothing else grants you permission to modify or
+distribute the Program or its derivative works.  These actions are
+prohibited by law if you do not accept this License.  Therefore, by
+modifying or distributing the Program (or any work based on the
+Program), you indicate your acceptance of this License to do so, and
+all its terms and conditions for copying, distributing or modifying
+the Program or works based on it.
+
+  6. Each time you redistribute the Program (or any work based on the
+Program), the recipient automatically receives a license from the
+original licensor to copy, distribute or modify the Program subject to
+these terms and conditions.  You may not impose any further
+restrictions on the recipients' exercise of the rights granted herein.
+You are not responsible for enforcing compliance by third parties to
+this License.
+
+  7. If, as a consequence of a court judgment or allegation of patent
+infringement or for any other reason (not limited to patent issues),
+conditions are imposed on you (whether by court order, agreement or
+otherwise) that contradict the conditions of this License, they do not
+excuse you from the conditions of this License.  If you cannot
+distribute so as to satisfy simultaneously your obligations under this
+License and any other pertinent obligations, then as a consequence you
+may not distribute the Program at all.  For example, if a patent
+license would not permit royalty-free redistribution of the Program by
+all those who receive copies directly or indirectly through you, then
+the only way you could satisfy both it and this License would be to
+refrain entirely from distribution of the Program.
+
+If any portion of this section is held invalid or unenforceable under
+any particular circumstance, the balance of the section is intended to
+apply and the section as a whole is intended to apply in other
+circumstances.
+
+It is not the purpose of this section to induce you to infringe any
+patents or other property right claims or to contest validity of any
+such claims; this section has the sole purpose of protecting the
+integrity of the free software distribution system, which is
+implemented by public license practices.  Many people have made
+generous contributions to the wide range of software distributed
+through that system in reliance on consistent application of that
+system; it is up to the author/donor to decide if he or she is willing
+to distribute software through any other system and a licensee cannot
+impose that choice.
+
+This section is intended to make thoroughly clear what is believed to
+be a consequence of the rest of this License.
+
+  8. If the distribution and/or use of the Program is restricted in
+certain countries either by patents or by copyrighted interfaces, the
+original copyright holder who places the Program under this License
+may add an explicit geographical distribution limitation excluding
+those countries, so that distribution is permitted only in or among
+countries not thus excluded.  In such case, this License incorporates
+the limitation as if written in the body of this License.
+
+  9. The Free Software Foundation may publish revised and/or new versions
+of the General Public License from time to time.  Such new versions will
+be similar in spirit to the present version, but may differ in detail to
+address new problems or concerns.
+
+Each version is given a distinguishing version number.  If the Program
+specifies a version number of this License which applies to it and "any
+later version", you have the option of following the terms and conditions
+either of that version or of any later version published by the Free
+Software Foundation.  If the Program does not specify a version number of
+this License, you may choose any version ever published by the Free Software
+Foundation.
+
+  10. If you wish to incorporate parts of the Program into other free
+programs whose distribution conditions are different, write to the author
+to ask for permission.  For software which is copyrighted by the Free
+Software Foundation, write to the Free Software Foundation; we sometimes
+make exceptions for this.  Our decision will be guided by the two goals
+of preserving the free status of all derivatives of our free software and
+of promoting the sharing and reuse of software generally.
+
+          NO WARRANTY
+
+  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
+FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
+OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
+PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
+OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
+TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
+PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
+REPAIR OR CORRECTION.
+
+  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
+WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
+REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
+INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
+OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
+TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
+YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
+PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
+POSSIBILITY OF SUCH DAMAGES.
+
+         END OF TERMS AND CONDITIONS
+
+      How to Apply These Terms to Your New Programs
+
+  If you develop a new program, and you want it to be of the greatest
+possible use to the public, the best way to achieve this is to make it
+free software which everyone can redistribute and change under these terms.
+
+  To do so, attach the following notices to the program.  It is safest
+to attach them to the start of each source file to most effectively
+convey the exclusion of warranty; and each file should have at least
+the "copyright" line and a pointer to where the full notice is found.
+
+    <one line to give the program's name and a brief idea of what it does.>
+    Copyright (C) <year>  <name of author>
+
+    This program is free software; you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation; either version 2 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program; if not, write to the Free Software
+    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
+
+
+Also add information on how to contact you by electronic and paper mail.
+
+If the program is interactive, make it output a short notice like this
+when it starts in an interactive mode:
+
+    Gnomovision version 69, Copyright (C) year name of author
+    Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
+    This is free software, and you are welcome to redistribute it
+    under certain conditions; type `show c' for details.
+
+The hypothetical commands `show w' and `show c' should show the appropriate
+parts of the General Public License.  Of course, the commands you use may
+be called something other than `show w' and `show c'; they could even be
+mouse-clicks or menu items--whatever suits your program.
+
+You should also get your employer (if you work as a programmer) or your
+school, if any, to sign a "copyright disclaimer" for the program, if
+necessary.  Here is a sample; alter the names:
+
+  Yoyodyne, Inc., hereby disclaims all copyright interest in the program
+  `Gnomovision' (which makes passes at compilers) written by James Hacker.
+
+  <signature of Ty Coon>, 1 April 1989
+  Ty Coon, President of Vice
+
+This General Public License does not permit incorporating your program into
+proprietary programs.  If your program is a subroutine library, you may
+consider it more useful to permit linking proprietary applications with the
+library.  If this is what you want to do, use the GNU Lesser General
+Public License instead of this License.
Index: /extensions/LLGBO2/farbtastic/farbtastic.css
===================================================================
--- /extensions/LLGBO2/farbtastic/farbtastic.css	(revision 4523)
+++ /extensions/LLGBO2/farbtastic/farbtastic.css	(revision 4523)
@@ -0,0 +1,33 @@
+.farbtastic {
+  position: relative;
+}
+.farbtastic * {
+  position: absolute;
+  cursor: crosshair;
+}
+.farbtastic, .farbtastic .wheel {
+  width: 195px;
+  height: 195px;
+}
+.farbtastic .color, .farbtastic .overlay {
+  top: 47px;
+  left: 47px;
+  width: 101px;
+  height: 101px;
+}
+.farbtastic .wheel {
+  background: url(wheel.png) no-repeat;
+  width: 195px;
+  height: 195px;
+}
+.farbtastic .overlay {
+  background: url(mask.png) no-repeat;
+}
+.farbtastic .marker {
+  width: 17px;
+  height: 17px;
+  margin: -8px 0 0 -8px;
+  overflow: hidden; 
+  background: url(marker.png) no-repeat;
+}
+
Index: /extensions/LLGBO2/farbtastic/farbtastic.js
===================================================================
--- /extensions/LLGBO2/farbtastic/farbtastic.js	(revision 4523)
+++ /extensions/LLGBO2/farbtastic/farbtastic.js	(revision 4523)
@@ -0,0 +1,329 @@
+// $Id: farbtastic.js,v 1.2 2007/01/08 22:53:01 unconed Exp $
+// Farbtastic 1.2
+
+jQuery.fn.farbtastic = function (callback) {
+  $.farbtastic(this, callback);
+  return this;
+};
+
+jQuery.farbtastic = function (container, callback) {
+  var container = $(container).get(0);
+  return container.farbtastic || (container.farbtastic = new jQuery._farbtastic(container, callback));
+}
+
+jQuery._farbtastic = function (container, callback) {
+  // Store farbtastic object
+  var fb = this;
+
+  // Insert markup
+  $(container).html('<div class="farbtastic"><div class="color"></div><div class="wheel"></div><div class="overlay"></div><div class="h-marker marker"></div><div class="sl-marker marker"></div></div>');
+  var e = $('.farbtastic', container);
+  fb.wheel = $('.wheel', container).get(0);
+  // Dimensions
+  fb.radius = 84;
+  fb.square = 100;
+  fb.width = 194;
+
+  // Fix background PNGs in IE6
+  if (navigator.appVersion.match(/MSIE [0-6]\./)) {
+    $('*', e).each(function () {
+      if (this.currentStyle.backgroundImage != 'none') {
+        var image = this.currentStyle.backgroundImage;
+        image = this.currentStyle.backgroundImage.substring(5, image.length - 2);
+        $(this).css({
+          'backgroundImage': 'none',
+          'filter': "progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled=true, sizingMethod=crop, src='" + image + "')"
+        });
+      }
+    });
+  }
+
+  /**
+   * Link to the given element(s) or callback.
+   */
+  fb.linkTo = function (callback) {
+    // Unbind previous nodes
+    if (typeof fb.callback == 'object') {
+      $(fb.callback).unbind('keyup', fb.updateValue);
+    }
+
+    // Reset color
+    fb.color = null;
+
+    // Bind callback or elements
+    if (typeof callback == 'function') {
+      fb.callback = callback;
+    }
+    else if (typeof callback == 'object' || typeof callback == 'string') {
+      fb.callback = $(callback);
+      fb.callback.bind('keyup', fb.updateValue);
+      if (fb.callback.get(0).value) {
+        fb.setColor(fb.callback.get(0).value);
+      }
+    }
+    return this;
+  }
+  fb.updateValue = function (event) {
+    if (this.value && this.value != fb.color) {
+      fb.setColor(this.value);
+    }
+  }
+
+  /**
+   * Change color with HTML syntax #123456
+   */
+  fb.setColor = function (color) {
+    var unpack = fb.unpack(color);
+    if (fb.color != color && unpack) {
+      fb.color = color;
+      fb.rgb = unpack;
+      fb.hsl = fb.RGBToHSL(fb.rgb);
+      fb.updateDisplay();
+    }
+    return this;
+  }
+
+  /**
+   * Change color with HSL triplet [0..1, 0..1, 0..1]
+   */
+  fb.setHSL = function (hsl) {
+    fb.hsl = hsl;
+    fb.rgb = fb.HSLToRGB(hsl);
+    fb.color = fb.pack(fb.rgb);
+    fb.updateDisplay();
+    return this;
+  }
+
+  /////////////////////////////////////////////////////
+
+  /**
+   * Retrieve the coordinates of the given event relative to the center
+   * of the widget.
+   */
+  fb.widgetCoords = function (event) {
+    var x, y;
+    var el = event.target || event.srcElement;
+    var reference = fb.wheel;
+
+    if (typeof event.offsetX != 'undefined') {
+      // Use offset coordinates and find common offsetParent
+      var pos = { x: event.offsetX, y: event.offsetY };
+
+      // Send the coordinates upwards through the offsetParent chain.
+      var e = el;
+      while (e) {
+        e.mouseX = pos.x;
+        e.mouseY = pos.y;
+        pos.x += e.offsetLeft;
+        pos.y += e.offsetTop;
+        e = e.offsetParent;
+      }
+
+      // Look for the coordinates starting from the wheel widget.
+      var e = reference;
+      var offset = { x: 0, y: 0 }
+      while (e) {
+        if (typeof e.mouseX != 'undefined') {
+          x = e.mouseX - offset.x;
+          y = e.mouseY - offset.y;
+          break;
+        }
+        offset.x += e.offsetLeft;
+        offset.y += e.offsetTop;
+        e = e.offsetParent;
+      }
+
+      // Reset stored coordinates
+      e = el;
+      while (e) {
+        e.mouseX = undefined;
+        e.mouseY = undefined;
+        e = e.offsetParent;
+      }
+    }
+    else {
+      // Use absolute coordinates
+      var pos = fb.absolutePosition(reference);
+      x = (event.pageX || 0*(event.clientX + $('html').get(0).scrollLeft)) - pos.x;
+      y = (event.pageY || 0*(event.clientY + $('html').get(0).scrollTop)) - pos.y;
+    }
+    // Subtract distance to middle
+    return { x: x - fb.width / 2, y: y - fb.width / 2 };
+  }
+
+  /**
+   * Mousedown handler
+   */
+  fb.mousedown = function (event) {
+    // Capture mouse
+    if (!document.dragging) {
+      $(document).bind('mousemove', fb.mousemove).bind('mouseup', fb.mouseup);
+      document.dragging = true;
+    }
+
+    // Check which area is being dragged
+    var pos = fb.widgetCoords(event);
+    fb.circleDrag = Math.max(Math.abs(pos.x), Math.abs(pos.y)) * 2 > fb.square;
+
+    // Process
+    fb.mousemove(event);
+    return false;
+  }
+
+  /**
+   * Mousemove handler
+   */
+  fb.mousemove = function (event) {
+    // Get coordinates relative to color picker center
+    var pos = fb.widgetCoords(event);
+
+    // Set new HSL parameters
+    if (fb.circleDrag) {
+      var hue = Math.atan2(pos.x, -pos.y) / 6.28;
+      if (hue < 0) hue += 1;
+      fb.setHSL([hue, fb.hsl[1], fb.hsl[2]]);
+    }
+    else {
+      var sat = Math.max(0, Math.min(1, -(pos.x / fb.square) + .5));
+      var lum = Math.max(0, Math.min(1, -(pos.y / fb.square) + .5));
+      fb.setHSL([fb.hsl[0], sat, lum]);
+    }
+    return false;
+  }
+
+  /**
+   * Mouseup handler
+   */
+  fb.mouseup = function () {
+    // Uncapture mouse
+    $(document).unbind('mousemove', fb.mousemove);
+    $(document).unbind('mouseup', fb.mouseup);
+    document.dragging = false;
+  }
+
+  /**
+   * Update the markers and styles
+   */
+  fb.updateDisplay = function () {
+    // Markers
+    var angle = fb.hsl[0] * 6.28;
+    $('.h-marker', e).css({
+      left: Math.round(Math.sin(angle) * fb.radius + fb.width / 2) + 'px',
+      top: Math.round(-Math.cos(angle) * fb.radius + fb.width / 2) + 'px'
+    });
+
+    $('.sl-marker', e).css({
+      left: Math.round(fb.square * (.5 - fb.hsl[1]) + fb.width / 2) + 'px',
+      top: Math.round(fb.square * (.5 - fb.hsl[2]) + fb.width / 2) + 'px'
+    });
+
+    // Saturation/Luminance gradient
+    $('.color', e).css('backgroundColor', fb.pack(fb.HSLToRGB([fb.hsl[0], 1, 0.5])));
+
+    // Linked elements or callback
+    if (typeof fb.callback == 'object') {
+      // Set background/foreground color
+      $(fb.callback).css({
+        backgroundColor: fb.color,
+        color: fb.hsl[2] > 0.5 ? '#000' : '#fff'
+      });
+
+      // Change linked value
+      $(fb.callback).each(function() {
+        if (this.value && this.value != fb.color) {
+          this.value = fb.color;
+        }
+      });
+    }
+    else if (typeof fb.callback == 'function') {
+      fb.callback.call(fb, fb.color);
+    }
+  }
+
+  /**
+   * Get absolute position of element
+   */
+  fb.absolutePosition = function (el) {
+    var r = { x: el.offsetLeft, y: el.offsetTop };
+    // Resolve relative to offsetParent
+    if (el.offsetParent) {
+      var tmp = fb.absolutePosition(el.offsetParent);
+      r.x += tmp.x;
+      r.y += tmp.y;
+    }
+    return r;
+  };
+
+  /* Various color utility functions */
+  fb.pack = function (rgb) {
+    var r = Math.round(rgb[0] * 255);
+    var g = Math.round(rgb[1] * 255);
+    var b = Math.round(rgb[2] * 255);
+    return '#' + (r < 16 ? '0' : '') + r.toString(16) +
+           (g < 16 ? '0' : '') + g.toString(16) +
+           (b < 16 ? '0' : '') + b.toString(16);
+  }
+
+  fb.unpack = function (color) {
+    if (color.length == 7) {
+      return [parseInt('0x' + color.substring(1, 3)) / 255,
+        parseInt('0x' + color.substring(3, 5)) / 255,
+        parseInt('0x' + color.substring(5, 7)) / 255];
+    }
+    else if (color.length == 4) {
+      return [parseInt('0x' + color.substring(1, 2)) / 15,
+        parseInt('0x' + color.substring(2, 3)) / 15,
+        parseInt('0x' + color.substring(3, 4)) / 15];
+    }
+  }
+
+  fb.HSLToRGB = function (hsl) {
+    var m1, m2, r, g, b;
+    var h = hsl[0], s = hsl[1], l = hsl[2];
+    m2 = (l <= 0.5) ? l * (s + 1) : l + s - l*s;
+    m1 = l * 2 - m2;
+    return [this.hueToRGB(m1, m2, h+0.33333),
+        this.hueToRGB(m1, m2, h),
+        this.hueToRGB(m1, m2, h-0.33333)];
+  }
+
+  fb.hueToRGB = function (m1, m2, h) {
+    h = (h < 0) ? h + 1 : ((h > 1) ? h - 1 : h);
+    if (h * 6 < 1) return m1 + (m2 - m1) * h * 6;
+    if (h * 2 < 1) return m2;
+    if (h * 3 < 2) return m1 + (m2 - m1) * (0.66666 - h) * 6;
+    return m1;
+  }
+
+  fb.RGBToHSL = function (rgb) {
+    var min, max, delta, h, s, l;
+    var r = rgb[0], g = rgb[1], b = rgb[2];
+    min = Math.min(r, Math.min(g, b));
+    max = Math.max(r, Math.max(g, b));
+    delta = max - min;
+    l = (min + max) / 2;
+    s = 0;
+    if (l > 0 && l < 1) {
+      s = delta / (l < 0.5 ? (2 * l) : (2 - 2 * l));
+    }
+    h = 0;
+    if (delta > 0) {
+      if (max == r && max != g) h += (g - b) / delta;
+      if (max == g && max != b) h += (2 + (b - r) / delta);
+      if (max == b && max != r) h += (4 + (r - g) / delta);
+      h /= 6;
+    }
+    return [h, s, l];
+  }
+
+  // Install mousedown handler (the others are set on the document on-demand)
+  $('*', e).mousedown(fb.mousedown);
+
+    // Init color
+  fb.setColor('#000000');
+
+  // Set linked elements/callback
+  if (callback) {
+    fb.linkTo(callback);
+  }
+}
Index: /extensions/LLGBO2/farbtastic/index.php
===================================================================
--- /extensions/LLGBO2/farbtastic/index.php	(revision 4523)
+++ /extensions/LLGBO2/farbtastic/index.php	(revision 4523)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/LLGBO2/main.inc.php
===================================================================
--- /extensions/LLGBO2/main.inc.php	(revision 4522)
+++ /extensions/LLGBO2/main.inc.php	(revision 4523)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Look_like_gbo2 
-Version:  2.0.h
+Version:  2.0.I
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=251
 Author: Ex-Ftb  
@@ -9,20 +9,20 @@
 Add a border around  picture ......
  */
- /* 2.0.c2  fix null value in js <> in IE,FF, chrome*/
  /* 2.0.d  fix notice when HD picture is desactivate*/
- /* 2.0.e  fix notice with redirect.tpl */ 
-  /* 2.0.f  always display metadata + maintain IPTC */ 
-   /* 2.0.h new languages PL, ES, HU */ 
+ /* 2.0.e  fix notice with redirec.tpl     */ 
+ /* 2.0.f  Tooltip and frame  define by plugin vs Css*/
+ /* 2.0.h new languages PL, ES, HU */ 
+ /* 2.0.i Manage tab for tooltip and frame settings */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 /* création d'une instance de la classe   */
 $obj = new look_like_gbo(); /* class loading */
-global $conf,$conf_LLGBO;
-
-define ('LLGBO_INFO_VERSION','2.0.h');
+global $conf,$ttvalues,$plugvalues,$frvalues; 
+define ('LLGBO_INFO_VERSION','2.0.I');
 define('LLGBO_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');
-$conf_LLGBO = explode("," , $conf['LLGBO']);
-//print_r ($conf_LLGBO);
-$conf_LLGBO['fsize'] = getimagesize(LLGBO_PATH.'pictures/chg_25.png');/*  width of a cormer*/
-//
+	 
+ $conf['LLGBO_SETTINGS'] =  explode("," , $conf['LLGBO']);
+ $conf['LLGBO_TOOLTIP'] = explode(",",$conf['LLGBOTOOLTIP']);
+ $conf['LLGBO_FRAME'] = explode (",",$conf['LLGBOFRAME']);   
+/////////////////////////////////////////////////////
 /*  plugin Class  */
 class look_like_gbo
@@ -32,91 +32,78 @@
         array(
           'NAME' => 'Look_like_GBo',
-          'URL' => get_admin_plugin_menu_link(dirname(__FILE__).'/admin/llgbo_admin.php')
-        )
-      );
+          'URL' => get_admin_plugin_menu_link(dirname(__FILE__).'/admin/llgbo_admin.php') ));
     return $menu;  }
 	
 /* always display metadata */
 function AutoDisplayMetadata()
-{global $conf_LLGBO;
- If ($conf_LLGBO[10]  == 'true' )  //always display metadata
-	{if ( pwg_get_session_var('show_metadata') == null )
-		{  pwg_set_session_var('show_metadata', 1 );		} 
-	}
+{global $conf;
+	 If ($conf['LLGBO_SETTINGS'] [2]  == 'true' )  // exif under bt
+	{$_GET['metadata'] = 'O';}
 }
  
  // reset nofollow, noindex
 function MyBeginheader()
-{ global $page,$conf_LLGBO;
- If ($conf_LLGBO[10]  == 'true' ) // reset nofollow, noindex
-{ unset ($page['meta_robots']);}
+{ global $page,$conf;
+	// echo '-10-'.$conf['LLGBO_SETTINGS',10];
+	 If ($conf['LLGBO_SETTINGS'][2]  == 'true' ) // reset nofollow, noindex
+	{ unset ($page['meta_robots']);}
 }
 //   manage H E A D E R 
 function Myheader()
-{  global $template,$conf_LLGBO;
-$Page_body = $template->get_template_vars('BODY_ID');
-$Categories = $template->get_template_vars('U_MODE_FLAT'); // Home page
-
-
-If ($conf_LLGBO[6]  == 'true' )  //display Header on home page
-	{ if (strpos( $Categories ,'categories') === False )
-		{ $exclu =  strtoupper($Page_body);	/*  maintain header on user  define  page */	
-			if ($exclu == '') {$exclu = '¤¤¤¤¤¤';} // Pb with redirect.tpl			
-			if (strpos( strtoupper($conf_LLGBO[7]),$exclu) === False)
-				{$template->append('head_elements',"\n".' <STYLE type="text/css">#theHeader{display: none}</STYLE>');
-				}
-		}	
-	}
-if  (  $Page_body  == 'thePicturePage') 
-	 {    	If (($conf_LLGBO[1]  == 'true' )/*  tooltip  */  or ($conf_LLGBO[0] == 'true') /*  frame  */ 	)
-				{$linkcss = '<link rel="stylesheet" type="text/css" href="'.LLGBO_PATH;
-				$template->append('head_elements',$linkcss.'css/gbolook.css">');}
-	}
-
-//--------------------------------------	
-//
-If ($conf_LLGBO[9]  == 'true' and $Page_body == 'thePicturePage')
-	{$template->append('head_elements',"\n".' <STYLE type="text/css">.navThumb{display: none} </STYLE>');}
+{global $template,$conf;
+	$Page_body = $template->get_template_vars('BODY_ID');	
+	$Categories = $template->get_template_vars('U_MODE_FLAT'); // Home page
+ if ((isset ($Page_body)) )// pb with redirect.tpl
+ 	{If ($conf['LLGBO_SETTINGS'][6]  == 'true' )  //display Header on home page
+		{ if (strpos( $Categories ,'categories') === False )
+			{ $exclu =  strtoupper($Page_body);	/*  maintain header on user  define  page */	 
+				if (strpos( strtoupper($conf['LLGBO_SETTINGS'] [7]),$exclu) === False)
+					{$template->append('head_elements',"\n".' <STYLE type="text/css">#theHeader{display: none}</STYLE>');}
+			}	
+		}
+
+	//
+	If ($conf['LLGBO_SETTINGS'] [9]  == 'true' and $Page_body == 'thePicturePage')
+		{$template->append('head_elements',"\n".' <STYLE type="text/css">.navThumb{display: none} </STYLE>');}
+ }
 }  // end header 
 
 //* improve functionnalities --> picture.tpl
 function  DisplayGboLook()
-{ global $template,$conf_LLGBO;
-$u_metadata = $template->get_template_vars('U_METADATA');
-$swt =   ' swttips="';	
- If ($conf_LLGBO[2]  == 'true' )  // exif under bt
-	{  $metadata = $template->get_template_vars('metadata');
-	if(is_array($metadata))
-    {foreach($metadata[0] as $cle =>$tableau)
-		 { if(is_array($tableau))
-		 {foreach($tableau as $cle=>$valeur)
-	    {   $swt= $swt.$cle.' : '.$valeur.'<br>'; }
-		}	}  
-		/* IPTC
-		foreach($metadata[1] as $cle =>$tableau)
-		 { if(is_array($tableau))
-		 {foreach($tableau as $cle=>$valeur)
-	    {   $swt= $swt.$cle.' : '.'<br>'.$valeur.'<br>'; }
-		}	}  */
-		$template->assign( 'U_METADATA', $u_metadata.'"'.$swt);
-		unset ($metadata[0]);
-		$template-> assign('metadata', $metadata);} //  keep iptc under picture
-	} 
-	// compatibility with extended description
-$ThePicture = $template->get_template_vars('current');
-$comment = $template->get_template_vars('COMMENT_IMG');
-if (!isset($comment) )
-		{$template->assign( 'COMMENT_IMG' , $ThePicture['comment']);}
+{ global $template,$conf;
+	$u_metadata = $template->get_template_vars('U_METADATA');
+	$swt =   ' swttips="';	
+	 If ($conf['LLGBO_SETTINGS'] [2]  == 'true' )  // exif under bt
+		{  $metadata = $template->get_template_vars('metadata');
+		if(is_array($metadata))
+		{foreach($metadata[0] as $cle =>$tableau)
+			 { if(is_array($tableau))
+			 {foreach($tableau as $cle=>$valeur)
+			{   $swt= $swt.$cle.' : '.$valeur.'<br>'; }
+			}	}
+			$template->assign( 'U_METADATA', $u_metadata.'"'.$swt);
+	 	$template->clear_assign('metadata');
+	} // hide original metadata
+		}
+		
 } 
-/*  ------   Manage frame  ----------------    */ 
+
+/*  ------   Manage picture page----------------    */ 
 function MyPictureOptions($content )
-{global $template,$conf_LLGBO,$conf,$user;	
+{global $template,$conf,$user;	
+$sweetcss = ' <! --- LLGBO tooltip css-->
+<style type="text/css"> 
+div#toolTip {position:absolute;z-index:1000;width:'.$conf['LLGBO_TOOLTIP'][0].'px;background:'.$conf['LLGBO_TOOLTIP'][3].';color:'.$conf['LLGBO_TOOLTIP'][5].';border:'.$conf['LLGBO_TOOLTIP'][1].'px solid '.$conf['LLGBO_TOOLTIP'][2].';padding:5px;min-height:1em;-moz-border-radius:5px} 
+div#toolTip p {margin:0;padding:0;color:'.$conf['LLGBO_TOOLTIP'][5].';font-size:0.8em;font-family:Verdana,Arial,Helvetica,sans-serif;text-align:left}
+div#toolTip p em {display:block;margin-top:3px;font-style:normal;font-weight:bold;text-align:left}
+div#toolTip p.title {color:'.$conf['LLGBO_TOOLTIP'][4].';text-align:center;padding:0 0 3px 0;}
+</style>';
 // -----------  add JS tooltip in header ----------------------
- If (($conf_LLGBO[1]  == 'true' ) /*  tooltip  */  or  ($conf_LLGBO[2]  == 'true' )  /* exif under bt */ )
+ If (($conf['LLGBO'][1]  == 'true' ) /*  tooltip  */  or  ($conf['LLGBO_SETTINGS'] [2]  == 'true' )  /* exif under bt */ )
 	    {  $javacss = '<script type="text/javascript" charset="utf-8"  src="'.LLGBO_PATH;	
 		  $linkcss = '<link rel="stylesheet" type="text/css" href="'.LLGBO_PATH;
-	      $sweetcss = "\n".$linkcss.'css/sweettitles.css">'."\n".$javacss.'js/sweettitlesn.js"></script>'."\n"; 
+	      $sweetcss =  $sweetcss."\n".$javacss.'js/sweettitlesn.js"></script>'."\n"; 
 		   $template->append('head_elements',$sweetcss); }
-$template->assign('PLUG_REL_PATH', LLGBO_PATH);
+
 // Navigation improvement are always available
 $ThePicture = $template->get_template_vars('current');
@@ -129,6 +116,7 @@
 $prevthumb_title = $prev['TITLE'];	
 $usemap ='';
-If ($conf_LLGBO[1]  == 'true' )/*  tooltip  */ 
-	{ 
+If ($conf['LLGBO_SETTINGS'][1]  == 'true' )/*  tooltip  */ 
+	{ $nextthumb_title = $next['TITLE'];
+	$prevthumb_title = $prev['TITLE'];
 	if (isset($first)){$template->assign('first',  array('TITLE' =>  $first['TITLE'].'"'.$swtimg.$first['THUMB_SRC'].'>',
 										'U_IMG' =>  $first['U_IMG']));}
@@ -140,5 +128,4 @@
 									'U_IMG' =>  $last['U_IMG']));}
  	}	
-
 /////////////////////////////////////////////
 // an other plugin is working -> go back
@@ -148,48 +135,36 @@
 /////////////////////////////////////////////////////////////////	
 if ($ThePicture['is_picture'] <> 1 )  	{  return  ; }	
-/////////////////////////////////////////////////////////////////			
-If (($conf_LLGBO[0] == 'true') /*  frame  */ )
-   { $template->assign('FRAME', 'ok'); 
-	$template->assign(array( 
-		'WIDTH_GBO' => $ThePicture['scaled_width'] + ( 2 * $conf_LLGBO['fsize'][0] /* frame width*/ ),
-		'WIDTH_FRAME' => $conf_LLGBO['fsize'][0],
-		'HEIGHT_FRAME' => $conf_LLGBO['fsize'][1]/* frame height*/ ));
-	If ($conf_LLGBO[5]  == 'true' )  // title on frame
-		{$template->assign( array( 'TITLE_FRAME' => $ThePicture['name'] )); }		 
-	}// end frame
-	else  // no frame
-	{$template->clear_assign('FRAME') ;}
-If ($conf_LLGBO[3]  == 'true' )  // usemap
+/////////////////////////////////////////////////////////////////	
+If (($conf['LLGBO_SETTINGS'] [1]  == 'true' )/*  tooltip display  */  or ($conf['LLGBO_SETTINGS'] [0] == 'true') /*  frame  */ 	)
+			{$linkcss = '<link rel="stylesheet" type="text/css" href="'.LLGBO_PATH;
+			$template->append('head_elements',$linkcss.'css/gbolook.css">');}
+
+If ($conf['LLGBO_SETTINGS'] [3]  == 'true' )  // usemap
  { 	$usemap = '" usemap="#prevnext' ;
 	$imgw = $ThePicture['scaled_width'];
 		$imgh = $ThePicture['scaled_height'];	
-		$dummy = round($imgw /15);
 		$template->assign(array(
-		        /* left --> Prev */
-				'LEFT_X1'  => 0,  'LEFT_Y1'  => 0, 
-				'LEFT_X2'  => round($imgw * 0.22), 'LEFT_Y2'  => $imgh ,
-				/* up */
-				'UP_X1'  => round($imgw * 0.22) + $dummy,  'UP_Y1'  => 0,
-				'UP_X2'  => round($imgw * 0.78), 'UP_Y2'  => round($imgh * 0.50),
-				/* high */
-				'HIGH_X1'  => round($imgw * 0.22) + $dummy, 'HIGH_Y1'  => round($imgh * 0.50) + $dummy,
-				'HIGH_X2'  => round($imgw * 0.78), 'HIGH_Y2'  => $imgh,
-				/*  right -> next */
-				'RIGHT_X1'  => round($imgw * 0.78) + $dummy, 'RIGHT_Y1'  => 0,
-				'RIGHT_X2'  =>  $imgw  , 'RIGHT_Y2'  => $imgh ));
-				$template->assign( 'USEMAP', 'ok'  );
+			/* left --> Prev */	'LEFT_X1'  => 0,  'LEFT_Y1'  => 0, 
+						'LEFT_X2'  => round($imgw * 0.24), 'LEFT_Y2'  => $imgh ,
+			/* up */ 		'UP_X1'  => round($imgw * 0.24) ,  'UP_Y1'  => 0,
+						'UP_X2'  => round($imgw * 0.76), 'UP_Y2'  => round($imgh * 0.50),
+			/* high */ 		'HIGH_X1'  => round($imgw * 0.24) , 'HIGH_Y1'  => round($imgh * 0.50) ,
+						'HIGH_X2'  => round($imgw * 0.76), 'HIGH_Y2'  => $imgh,
+			/* right -> next */	'RIGHT_X1'  => round($imgw * 0.76) , 'RIGHT_Y1'  => 0,
+						'RIGHT_X2'  =>  $imgw  , 'RIGHT_Y2'  => $imgh ));
+		$template->assign( 'USEMAP', 'ok'  );
 								
-	If ($conf_LLGBO[4]  === 'true' )  // usemap and Display Thumb
+	If ($conf['LLGBO_SETTINGS'] [4]  === 'true' )  // usemap and Display Thumb
 			{ $template->assign(array('NEXTTHUMB'  => $swtimg.$next['THUMB_SRC'].'>"',
 			 'NEXTTHUMBTITLE'  => $nextthumb_title,
 			 'PREVTHUMB'  =>  $swtimg.$prev['THUMB_SRC'].'>"',
-			 'PREVTHUMBTITLE'  =>  $prevthumb_title));}
-		 
+			 'PREVTHUMBTITLE'  =>  $prevthumb_title));} 
 }  // end usemap		
 $alt = $conf['allow_html_descriptions'] ? $ThePicture['name'] : strip_tags($ThePicture['name']);
 $template->assign( array(
-      'SRC_IMG' => $ThePicture['image_url'],
+	   'SRC_IMG' => $ThePicture['image_url'],
 	   'WIDTH_IMG' => $ThePicture['scaled_width'],
 	   'HEIGHT_IMG' => $ThePicture['scaled_height'],
+	   'COMMENT_IMG' => $conf['allow_html_descriptions'] ? $ThePicture['comment'] : strip_tags($ThePicture['comment']),  	   
 	   'ALT_IMG' =>  $alt.$usemap    	   
 	   )); 
@@ -202,15 +177,35 @@
 			        'UUID'   => $uuid,      ));} 
 
-
-If (($conf_LLGBO[5]  == 'true' )  /* title on frame */ and ($conf_LLGBO[0]  == 'true' )) // display frame
-	 { $template->assign('SHOW_PICTURE_NAME_ON_TITLE', false);	 } 
+If (($conf['LLGBO_SETTINGS'] [5]  == 'true' )  /* title on frame */ and ($conf['LLGBO_SETTINGS'] [0]  == 'true' )) // display frame
+	 { $template->assign('SHOW_PICTURE_NAME_ON_TITLE', false);	
+		$template->assign('TITLE_FRAME_COLOR', $conf['LLGBO_FRAME'][0]);		 } 
 	 
-If ($conf_LLGBO[8]  == 'off' )  /*  less infos*/ 
-{ /* enregistrer le filtre de pr?-compilation */}
+ /* HTML  frame  */
+If (($conf['LLGBO_SETTINGS'] [0] == 'true') )
+	{   $bd = 0; 
+		$frame_begin ='';
+		$frame_end='';
+		for ($x = 1   ;$x < 32  ; $x =$x +2)
+		{  	if ((isset($conf['LLGBO_FRAME'][$x+1])) and  ($conf['LLGBO_FRAME'][$x+1] > 0))	// boder value > 0	
+			  {$frame_begin = '<div style="border: '.$conf['LLGBO_FRAME'][$x+1].'px solid '.$conf['LLGBO_FRAME'][$x].'">'."\n".$frame_begin;
+				$bd =  $bd + $conf['LLGBO_FRAME'][$x+1]; 	//define border sum	
+				$frame_end = $frame_end .' </div>';
+			}
+		}
+		$frame_width = $ThePicture["scaled_width"] + (2 * $bd);
+		$frame_height = $ThePicture["scaled_height"] + (2 * $bd);
+	$template->assign('FRAME_SIZE','style="width:'.$frame_width .'px; height:'.$frame_height.'px;"');
+	$template->assign('FRAME_BEGIN', $frame_begin);
+	$template->assign('FRAME_END', $frame_end); 
+// title on frame	
+    If ($conf['LLGBO_SETTINGS'] [5]  == 'true' )  // title on frame
+		{$template->assign( array( 'TITLE_FRAME' => $ThePicture['name'] )); }	
+	}	// end frame
+	else  // no frame
+{$template->clear_assign('FRAME_BEGIN') ;}
 
 $template->set_filenames( array('gbo_content'=> dirname(__FILE__).'/template/picture_content.tpl') );
 return $template->parse( 'gbo_content', true);
-}
-
+} //end --> MyPictureOptions
 } // End class
 	
@@ -224,29 +219,3 @@
 add_event_handler('get_admin_plugin_menu_links', array(&$obj, 'plugin_admin_menu') );
 set_plugin_data($plugin['id'], $obj);
-function afficher_tableau($tableau) 
-    {
-    // on fait une boucle qui lit les éléments du tableau
-    foreach ($tableau as $cle=>$valeur) 
-        {
-        // si l'un des éléments est lui même un tableau
-        // alors on applique la fonction à ce tableau
-        if(is_array($valeur)) 
-            {
-            // on affiche le nom de la clé et
-            // le début d'une liste pour
-            //  décaler le contenu vers la droite
-            print_r ($cle);
-			 echo  ' : <ul>'; 
-            
-            // ici se réalise la récursivité
-            // c'est à dire qu'on applique la fonction
-            // à l'élément en cours car c'est lui aussi un tableau
-            afficher_tableau($valeur); 
-            
-            // on ferme la liste
-            echo '</ul>'; 
-            }
-        } 
-    }
-
 ?>
Index: /extensions/LLGBO2/maintain.inc.php
===================================================================
--- /extensions/LLGBO2/maintain.inc.php	(revision 4522)
+++ /extensions/LLGBO2/maintain.inc.php	(revision 4523)
@@ -30,25 +30,45 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 function plugin_install()
-
-{  global $prefixeTable; 
-   plugin_uninstall(); // en cas de mauvaise deinstallation anterieure
+{  global $prefixeTable,$conf,$ttvalues,$plugvalues,$frvalues; 
+  plugin_uninstall(); // en cas de mauvaise deinstallation anterieure
 	$q = '
 INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
-	VALUES
-	("LLGBO","true,true,true,true,true,true,true,theAboutPage;theTagsPage;theCommentsPage;theIdentificationPage;theAdminPage,true,true,true","Look like gbo settings");';
+	VALUES  
+	("LLGBO","'.$plugvalues.'","look like gbo global settings");';
   pwg_query($q);
+  	$q = '
+INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
+	VALUES  
+	("LLGBOTOOLTIP","'.$ttvalues.'","look like gbo tooltip settings");';
+  pwg_query($q);
+  	$q = '
+INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
+	VALUES  
+	("LLGBOFRAME","'.$frvalues.'","look like gbo frame settings");';
+  pwg_query($q);
+  
+$conf['LLGBO_SETTINGS'] =  explode("," , $plugvalues);
+$conf['LLGBO_TOOLTIP'] = explode(",",$ttvalues);
+$conf['LLGBO_FRAME'] = explode (",", $frvalues); 
+ 
 }
 function plugin_activate()
-{ global $conf; 
- // Vérification de la config, si pas bon -> reinstallation
-if ((!isset($conf['LLGBO'])) or (substr_count($conf['LLGBO'] , ',') != 10)) {
-	 $conf['LLGBO'] = "true,true,true,true,true,true,true,theAboutPage;theTagsPage;theCommentsPage;theIdentificationPage;theAdminPage,true,true,true";
-	 plugin_install();}
+{ global $prefixeTable,$conf,$ttvalues,$plugvalues,$frvalues; 
+ ///////////////////////////////////////////////////
+// Vérification de la config, si pas bon -> reinstallation
+$plugvalues = "true,true,true,true,true,true,true,theAboutPage;theTagsPage;theCommentsPage;theIdentificationPage;theAdminPage,true,true";
+$ttvalues = "150,2,#fff,#000,#c92,#dadada";
+$frvalues = "#16195f,#ffffff,3,#040404,1,#ffffff,7,#ffffff,1,#fdfdfd,1,#fcfcfc,1,#fafafa,1,#eaeaea,1,#d3d3d3,1,#bababa,1,#9f9f9f,1,#858585,1,#777777,1,#646464,1,#575757,1,#474747,1";
+//
+ if ( (!isset($conf['LLGBO'])) or (substr_count($conf['LLGBO'], ',')  != 9)  
+ or  (!isset($conf['LLGBOTOOLTIP'])) or (substr_count($conf['LLGBOTOOLTIP'], ',')  != 5) 
+ or  (!isset($conf['LLGBOFRAME'])) or (substr_count($conf['LLGBOFRAME'], ',')  != 32))  
+	{	  plugin_install(); }
 }
 
-function  plugin_uninstall()
+function plugin_uninstall()
 { global $prefixeTable;
   $q = '
-DELETE FROM '.CONFIG_TABLE.' WHERE param="LLGBO" LIMIT 1;';
+DELETE FROM '.CONFIG_TABLE.' WHERE param like "LLGBO%" LIMIT 4;';
   pwg_query( $q );
 }
Index: /extensions/LLGBO2/samples/cadre data.txt
===================================================================
--- /extensions/LLGBO2/samples/cadre data.txt	(revision 4523)
+++ /extensions/LLGBO2/samples/cadre data.txt	(revision 4523)
@@ -0,0 +1,18 @@
+white frame like button
+#16195f,#f4f4f4,4,#685008,2,#e0e0df,5,#d6d6d4,1,#cbcbca,1,#c0c0be,1,#b5b5b4,1,#aaaaa8,1,#9e9e9c,1,#929291,1,#868685,1,#7b7b7a,1,#6e6e6d,1,#626261,1,#555555,1,#4a4a4a,1
+
+
+gold frame
+#4389e6,#8a3f0c,1,#d8c334,1,#e4d338,1,#a26714,1,#a66112,1,#bc7619,1,#d0881e,1,#e69c25,1,#c57e1d,1,#b69019,1,#846007,1,#472e31,1,#caa676,1,#dea22b,1,#8c5213,1,#420102,1
+
+black
+#9f7a09,#000000,4,#bfbfbf,1,#000000,9,#020202,1,#050505,1,#101010,1,#151515,1,#2c2c2c,1,#454545,1,#606060,1,#7a7a7a,1,#949494,1,#989898,1,#a2a2a2,1,#a8a8a8,1,#b3b3b3,1
+ black 2
+#9f7a09,#090909,3,#fafafa,1,#0b0b0b,4,#0c0c0c,4,#1f1f20,1,#29292b,1,#343435,1,#3f3f41,1,#4a4a4b,1,#555557,1,#616163,1,#6d6d6e,1,#79797a,1,#848485,1,#919192,1,#9d9d9e,1 
+
+
+tooltip default
+150,2,#fff,#000,#c92,#dadada
+clear
+150,2,#222,#b3b0ac,#9f7a09,#111
+
